# ArchLabs Installer

#### Features
- Simple, easy to follow configuration.
- Automatic partitioning for whole devices.
- Translations for different languages.
- No input halts during install.
- Support for LUKS and/or LVM.
- Built-in error detection.
- Written entirely in Bash
- Fast Install on fast hardware _(~6min)_

#### Requirements
- `rsync` for unpacking the squashfs.
- `dialog` for all user input/output.
- `vim` for editing files post install.
- `parted` for partition creation.
- `wipe` for the secure wipe.
- `arch-chroot` to perform operations in a chroot.
- `chpasswd` to set root and user passwords.
- `openssl` to encrypt passwords.
- Basic unix tool set: `awk` `sed` `grep` `uniq` `sort` `find` `ping` `mkfs` `lsblk` `curl`.
- Network connection is needed to install packages and update the system.

#### Manual Installation
- curl
```
sh -c "$(curl -fsSL https://bitbucket.org/archlabslinux/installer/raw/master/install.sh)"
```

- wget
```
sh -c "$(wget https://bitbucket.org/archlabslinux/installer/raw/master/install.sh -O -)"
```

- Pre-built packages can be found in our repos:
[stable](https://bitbucket.org/archlabslinux/archlabs_repo/src/master/x86_64/)
[unstable](https://bitbucket.org/archlabslinux/archlabs_unstable/src/master/x86_64/)

